/*
 * Created on 10/10/2004
 * 
 */
package net.sf.jabref.export.layout.format;

import net.sf.jabref.export.layout.LayoutFormatter;

/**
 * Replaces each and with a ";" for any number of Authors
 * 
 * @author Stephen Doxsee
 */
public class AuthorAndsSemicolonReplacer implements LayoutFormatter {

	/* (non-Javadoc)
	 * @see net.sf.jabref.export.layout.LayoutFormatter#format(java.lang.String)
	 */
	public String format(String fieldText) {
  
		String[] authors = fieldText.split(" and ");
		String s;
	
		int i = 0, x = authors.length;
		StringBuffer sb = new StringBuffer();
		
		for(i=0;i<x-1;i++) {
		    sb.append(authors[i] + "; ");
		}				
		sb.append(authors[x-1]);
		s = new String(sb);				
		
		return s;
 
	}
}
